Subject: bug#31050: 27.0.50; command for restoring backups

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Oct 2019 04:37:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] (Charles A. Roelli) writes:
>
> > There's already a command for recovering an "auto-save" file (M-x
> > recover-file), but no command for restoring a backup file.  We should
> > add one.  It might also be helpful to bind it in the "File" menu of
> > the menu-bar.
>
> Hm...  Well, there may be a number of backup files (~3~ etc), while
> there's only one auto-save file...  and, also, recovering an auto-save
> file is really recovering something that's a work in progress, which
> reverting to a backup file is more akin to reverting to an older version
> in a version control system.
>
> So I'm not sure whether such a command makes that much sense -- it's
> something that might be used to seldom that nobody would remember that
> it's there, and looking at old versions of files is really easy using
> any of the standard ways of looking at files.
>
> Any opinions?

Such a command doesn't make much sense to me either.

Best regards,
Stefan Kangas